package com.rshy.project.hy.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author xiaopi
 * @since 2022-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="RshyJk对象", description="")
public class RshyJk extends Model<RshyJk> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "核验url")
    private String hyUrl;

    @ApiModelProperty(value = "核验参数")
    private String hyParam;

    @ApiModelProperty(value = "0可用  1不可用")
    private Boolean status;

    @ApiModelProperty(value = "错误次数")
    private Integer errCount;

    @ApiModelProperty(value = "核验类型")
    private String hyType;

    @ApiModelProperty(value = "超时时间")
    private String timeOut;

    @ApiModelProperty("接口名")
    private String hyName;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime gmtCreateTime;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime gmtUpdateTime;


}
